#ifndef __LIBSANGOMA_CONFIG_PRIV_H__
#define __LIBSANGOMA_CONFIG_PRIV_H__

/* This code is repeated from libsangoma-priv.h  to be removed when added to libsangoma */

/**** debugging definitions ****/
static inline void libsng_dbg(const char *fmt, ...)
{
	va_list args;
	char buf[1024];
	va_start(args, fmt);
	_vsnprintf(buf, sizeof(buf), fmt, args);
#if defined(__WINDOWS__)
	printf(buf);
	OutputDebugString(buf);
#else
	printf(buf);
#endif
	va_end(args);

}

extern int libsng_dbg_level;

#define DBG_POLL    if(libsng_dbg_level)libsng_dbg
#define DBG_EVNT    if(libsng_dbg_level)libsng_dbg
#define DBG_ERR     if(libsng_dbg_level)libsng_dbg("Error: %s() line: %d : ", __FUNCTION__, __LINE__);if(libsng_dbg_level)libsng_dbg
#define DBG_INFO    if(libsng_dbg_level)libsng_dbg("Info: %s() line: %d : ", __FUNCTION__, __LINE__);if(libsng_dbg_level)libsng_dbg
#define DBG_INIT    if(libsng_dbg_level)libsng_dbg
#define DBG_HWEC    if(libsng_dbg_level)libsng_dbg

#endif
